Package io.dapr.v1

# Class CommonProtos.StreamPayload.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>
io.dapr.v1.CommonProtos.StreamPayload.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StreamPayloadOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.StreamPayload

public static final class CommonProtos.StreamPayload.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder> implements CommonProtos.StreamPayloadOrBuilder

     Chunk of data sent in a streaming request or response.
     This is used in requests including InternalInvokeRequestStream.

Protobuf type `dapr.proto.common.v1.StreamPayload`

## Method Summary

Modifier and Type
Method
Description
`CommonProtos.StreamPayload.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.StreamPayload`
`build()`
`CommonProtos.StreamPayload`
`buildPartial()`
`CommonProtos.StreamPayload.Builder`
`clear()`
`CommonProtos.StreamPayload.Builder`
`clearData()`
Data sent in the chunk.
`CommonProtos.StreamPayload.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.StreamPayload.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.StreamPayload.Builder`
`clearSeq()`
Sequence number.
`CommonProtos.StreamPayload.Builder`
`clone()`
`com.google.protobuf.ByteString`
`getData()`
Data sent in the chunk.
`CommonProtos.StreamPayload`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`long`
`getSeq()`
Sequence number.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`CommonProtos.StreamPayload.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.StreamPayload.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`CommonProtos.StreamPayload.Builder`
`mergeFrom(CommonProtos.StreamPayload other)`
`final CommonProtos.StreamPayload.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.StreamPayload.Builder`
`setData(com.google.protobuf.ByteString value)`
Data sent in the chunk.
`CommonProtos.StreamPayload.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.StreamPayload.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`CommonProtos.StreamPayload.Builder`
`setSeq(long value)`
Sequence number.
`final CommonProtos.StreamPayload.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### clear

public CommonProtos.StreamPayload.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### getDefaultInstanceForType

public CommonProtos.StreamPayload getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public CommonProtos.StreamPayload build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public CommonProtos.StreamPayload buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public CommonProtos.StreamPayload.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### setField

public CommonProtos.StreamPayload.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### clearField

public CommonProtos.StreamPayload.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### clearOneof

public CommonProtos.StreamPayload.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### setRepeatedField

public CommonProtos.StreamPayload.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### addRepeatedField

public CommonProtos.StreamPayload.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### mergeFrom

public CommonProtos.StreamPayload.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StreamPayload.Builder>`

### mergeFrom

public CommonProtos.StreamPayload.Builder mergeFrom(CommonProtos.StreamPayload other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### mergeFrom

public CommonProtos.StreamPayload.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StreamPayload.Builder>`
Throws:
  `IOException`

### getData

public com.google.protobuf.ByteString getData()

     Data sent in the chunk.
     The amount of data included in each chunk is up to the discretion of the sender, and can be empty.
     Additionally, the amount of data doesn't need to be fixed and subsequent messages can send more, or less, data.
     Receivers must not make assumptions about the number of bytes they'll receive in each chunk.

`bytes data = 1;`

Specified by:
  `getData` in interface `CommonProtos.StreamPayloadOrBuilder`
Returns:
  The data.

### setData

public CommonProtos.StreamPayload.Builder setData(com.google.protobuf.ByteString value)

     Data sent in the chunk.
     The amount of data included in each chunk is up to the discretion of the sender, and can be empty.
     Additionally, the amount of data doesn't need to be fixed and subsequent messages can send more, or less, data.
     Receivers must not make assumptions about the number of bytes they'll receive in each chunk.

`bytes data = 1;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public CommonProtos.StreamPayload.Builder clearData()

     Data sent in the chunk.
     The amount of data included in each chunk is up to the discretion of the sender, and can be empty.
     Additionally, the amount of data doesn't need to be fixed and subsequent messages can send more, or less, data.
     Receivers must not make assumptions about the number of bytes they'll receive in each chunk.

`bytes data = 1;`

Returns:
  This builder for chaining.

### getSeq

public long getSeq()

     Sequence number. This is a counter that starts from 0 and increments by 1 on each chunk sent.

`uint64 seq = 2;`

Specified by:
  `getSeq` in interface `CommonProtos.StreamPayloadOrBuilder`
Returns:
  The seq.

### setSeq

public CommonProtos.StreamPayload.Builder setSeq(long value)

     Sequence number. This is a counter that starts from 0 and increments by 1 on each chunk sent.

`uint64 seq = 2;`

Parameters:
  `value` - The seq to set.
Returns:
  This builder for chaining.

### clearSeq

public CommonProtos.StreamPayload.Builder clearSeq()

     Sequence number. This is a counter that starts from 0 and increments by 1 on each chunk sent.

`uint64 seq = 2;`

Returns:
  This builder for chaining.

### setUnknownFields

public final CommonProtos.StreamPayload.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`

### mergeUnknownFields

public final CommonProtos.StreamPayload.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StreamPayload.Builder>`